Apt-get update failed

I run a fresh installation of Openhab3 on a Raspberry PI3 (openhabian)
I noticed I can’t upgrade my openhab installation via openhabian-config and running apt-get update I get this error

W: Failed to fetch https://dl.bintray.com/openhab/apt-repo2/dists/stable/InRelease  Something wicked happened resolving 'dl.bintray.com:https' (-5 - No address associated with hostname)

In fact if I browse to https://dl.bintray.com/openhab/apt-repo2/dists/stable/ I can’t find “InRelease” but there’s a file named “Release”

Is something wrong in my apt configuration?
How can I solve?

What is the content of your file
/etc/apt/sources.list.d/openhab.list
the file could be different in your installation but it should be in that directory.

Content should look similar to
deb https://dl.bintray.com/openhab/apt-repo2 stable main

The file content is exactly the same.
If it could help, my installation isn’t the latest Openhabian release but it’s 1.6.2b

Solution found. It’s seems to be a Ubuntu problem.
Found on the web:

This has been a long term problem with apt, and Ubuntu has never fixed it. Apt doesn’t seem to use the same DNS servers that the internal system does - 'ping ’ returns a correct IP address. Apt-get claims that the hostname isn’t found.

Solved adding the DNS resolution on /etc/hosts

I don’t have “/etc/hosts”.
Should I create it?
What does it look like?

Slow down, since this post was made months ago the Bintray repository has closed for openHAB. What is your problem, exactly?

Well, I started with trying to do sudo apt update.
I get:

Blockquote
Hit:1 http://raspbian.raspberrypi.org/raspbian buster InRelease
Hit:2 http://archive.raspberrypi.org/debian buster InRelease
Err:3 https://dl.bintray.com/openhab/apt-repo2 stable InRelease
403 Forbidden [IP: 34.223.170.36 443]
Reading package lists… Done
E: Failed to fetch https://dl.bintray.com/openhab/apt-repo2/dists/stable/InRelease 403 Forbidden [IP: 34.223.170.36 443]
E: The repository ‘https://dl.bintray.com/openhab/apt-repo2 stable InRelease’ is no longer signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

After a lot of searching I got to this thread. It seemed to be my solution.

As @rossko57 said because of the sunset of bintray there was a change in hosting of the repos.
Have a look at the docs at openHAB on Linux | openHAB and try this URLfor the public key: https://openhab.jfrog.io/artifactory/api/gpg/key/public .

Wow, there is a lot in those three lines that I don’t understand. I think it is for installing or upgrading OpenHAB 3.
I haven’t gotten that far with my system. I am really bogged down with a whole lot of other things and am not prepared to upgrade yet.

But I would like to update all the other things I have installed on my RPi. It seems this bintray issue (which I have no idea what that means) is blocking apt update from updating anything.
I found a file in /etc/apt/sources.list.d named openhab2.list. From other searching I believe if I can remove that file, I will be able to update the rest of my system but Pi OS won’t let me move the file. I have set all permissions to 777 but it still says I don’t have permission to move it.

So, if I want to postpone updating OpenHAB and want to update all the rest of my RPi, how can I do that?

Well, you did decide to tag your "same problem"onto a post that opened with “I run a fresh installation of Openhab3 …” so we made assumptions.

Your basic problem remains

For OH2 refer to

When you install an add-on, by default OH goes to fetch it from a known place on the internet. The place that your system knows about is defunct, it will never work again.
The alternative is to download a fat file containing all the add-ons, and let your OH install “locally” from the fat file. You might need the ‘legacy’ addons file for OH1.x bindings as well.

Frankly, I didn’t realize when I “taged” this post that my problem was different from what the OP was facing. It sure seemed similar. It was the closest response I could find for all the searches I had tried. Sorry.

Frankly, I don’t understand what “the sunset of Bintray…” means and I feel like it is water over the damn by now. As for, “When you install an add-on…”, I don’t know of any add-ons to OH that I have installed.

I also don’t know what “download a fat file” means. All my searches turn up “FAT32” which of course is all windows file formats.

Is there a way I can just skip updating anything having to do with my OH installation? Some way that I can update my RPi then come back later when I have some time and untangle my OH problems?

If you don’t want to update OH then just rename or remove the openhab.list file that is in:
/etc/apt/sources.list.d

then run:

sudo apt update && sudo apt dist-upgrade

and you should be good to go.

1 Like

in /etc/apt/sources.list.d/ you have one file that defines the location where all the .deb files are located to be downloaded in case of an update.
At this moment this file points to a location that is not supported any longer.
The location was moved to a different one.
That new location is being used for OH2 and OH3.
If you replace the content of that file with the new one you can update to the latest OH2 version in case you are not already on it.

1 Like

ubeaut, Wolfgang_S,
Thanks.
I just moved the file for now and am proceeding with the update. Seems to be going great.
In the mean time I am tracking down the new location.

Thanks Again.
Pete

I found it. In case someone else finds this thread, I did the following to get a new openhab2.list. Even though the thread is about OH3, the new file is openhab2.list.

I haven’t tried sudo apt update && sudo apt dist-upgrade since I just finished doing that and while searching for the new openhab2.list I used openhabian-config to update to the latest stable.